Package com.independentsoft.office.spreadsheet

# Class DataBinding

java.lang.Object
com.independentsoft.office.spreadsheet.DataBinding

public class DataBinding extends Object
The Class DataBinding.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataBinding()`
  Instantiates a new data binding.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataBinding`
  `clone()`
  `int`
  `getConnectionID()`
  Gets the connection id.
  `String`
  `getFileBindingName()`
  Gets the file binding name.
  `String`
  `getInnerXml()`
  Gets the inner xml.
  `DataBindingLoadMode`
  `getLoadMode()`
  Gets the load mode.
  `String`
  `getName()`
  Gets the name.
  `boolean`
  `isFileBinding()`
  Checks if is file binding.
  `void`
  `setConnectionID​(int connectionID)`
  Sets the connection id.
  `void`
  `setFileBinding​(boolean isFileBinding)`
  Sets the file binding.
  `void`
  `setFileBindingName​(String fileBindingName)`
  Sets the file binding name.
  `void`
  `setInnerXml​(String innerXml)`
  Sets the inner xml.
  `void`
  `setLoadMode​(DataBindingLoadMode loadMode)`
  Sets the load mode.
  `void`
  `setName​(String name)`
  Sets the name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataBinding

    public DataBinding()
    Instantiates a new data binding.

- ## Method Details

  - ### clone

    public DataBinding clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getConnectionID

    public int getConnectionID()
    Gets the connection id.
    Returns:
      the connection id

  - ### setConnectionID

    public void setConnectionID​(int connectionID)
    Sets the connection id.
    Parameters:
      `connectionID` - the new connection id

  - ### getLoadMode

    public DataBindingLoadMode getLoadMode()
    Gets the load mode.
    Returns:
      the load mode

  - ### setLoadMode

    public void setLoadMode​(DataBindingLoadMode loadMode)
    Sets the load mode.
    Parameters:
      `loadMode` - the new load mode

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isFileBinding

    public boolean isFileBinding()
    Checks if is file binding.
    Returns:
      true, if is file binding

  - ### setFileBinding

    public void setFileBinding​(boolean isFileBinding)
    Sets the file binding.
    Parameters:
      `isFileBinding` - the new file binding

  - ### getFileBindingName

    public String getFileBindingName()
    Gets the file binding name.
    Returns:
      the file binding name

  - ### setFileBindingName

    public void setFileBindingName​(String fileBindingName)
    Sets the file binding name.
    Parameters:
      `fileBindingName` - the new file binding name

  - ### getInnerXml

    public String getInnerXml()
    Gets the inner xml.
    Returns:
      the inner xml

  - ### setInnerXml

    public void setInnerXml​(String innerXml)
    Sets the inner xml.
    Parameters:
      `innerXml` - the new inner xml